/*
 * PointOutsideGridRangeException.java
 *
 * Created on 21 dicembre 2007, 21.58
 *
 */

package polyliner.domain.exceptions;

/**
 *
 * @author Dario Lucia
 */
public class PointOutsideGridRangeException extends Exception {
    
    /** Creates a new instance of PointOutsideGridRangeException */
    public PointOutsideGridRangeException() {
        super("Point outside grid range");
    }
    
    public PointOutsideGridRangeException(double x, double y) {
        super("Point (" + x + ";" + y + ") outside grid range");
    }
    
}
