/*
 * ThresholdDistanceFilter.java
 *
 * Created on 16 dicembre 2007, 18.35
 *
 */

package polyliner.domain.filters;

import polyliner.domain.interfaces.FilterCondition;
import polyliner.domain.interfaces.Point;

/**
 *
 * @author Dario Lucia
 */
public class ThresholdDistanceFilter implements FilterCondition{
    
    private Point point;
    private double distance;
    
    /** Creates a new instance of ThresholdDistanceFilter */
    public ThresholdDistanceFilter(Point p, double distance) {
        this.point = p;
        this.distance = distance;
    }

    public boolean isSatisfiedBy(Point p) {
        if(this.point.getDistance(p) < this.distance) return true; else return false;
    }
    
}
