/*
 * DefaultPointFactory.java
 *
 * Created on 17 dicembre 2007, 22.16
 *
 */

package polyliner.domain.impl.point.simple;

import polyliner.domain.interfaces.Point;
import polyliner.domain.interfaces.PointFactory;

/**
 *
 * @author Dario Lucia
 */
public class DefaultPointFactory implements PointFactory {
    
    private int id;
    
    /** Creates a new instance of DefaultPointFactory */
    public DefaultPointFactory() {
        this.id = 0;
    }

    public Point newPoint(double x, double y) {
        return new DefaultPoint(id++,x,y);
    }
    
}
