/*
 * AbstractDrawPoint.java
 *
 * Created on 22 dicembre 2007, 13.57
 *
 */

package polyliner.domain.utilities.draw;

import java.awt.Graphics;
import polyliner.domain.interfaces.Point;

/**
 *
 * @author Dario Lucia
 */
public abstract class AbstractDrawPoint implements DrawPoint {
    
    protected Point point;
    
    /** Creates a new instance of AbstractDrawPoint */
    public AbstractDrawPoint(Point point) {
        this.point = point;
    }
    
    public Point getPoint() {
        return this.point;
    }

    public abstract void paint(Graphics g);

    public abstract boolean selected(int x, int y);
    
}
