/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package polyliner.domain.utilities.draw.impl;

import polyliner.domain.interfaces.Point;
import polyliner.domain.utilities.draw.DrawPoint;
import polyliner.domain.utilities.draw.DrawPointFactory;

/**
 *
 * @author dario
 */
public class DefaultDrawPointFactory implements DrawPointFactory {

    private int innerRadius;
    private int outerRadius;    
    
    public DefaultDrawPointFactory(int innerRadius, int outerRadius) {
        this.setInnerRadius(innerRadius);
        this.setOuterRadius(outerRadius);
    }
    
    public int getInnerRadius() {
        return innerRadius;
    }

    public void setInnerRadius(int innerRadius) {
        this.innerRadius = innerRadius;
    }

    public int getOuterRadius() {
        return outerRadius;
    }

    public void setOuterRadius(int outerRadius) {
        this.outerRadius = outerRadius;
    }
            
    public DrawPoint newDrawablePoint(Point p) {
        return new DefaultDrawPoint(p,innerRadius,outerRadius);
    }
    
}
