/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package polyliner.domain.utilities.draw.impl;

import java.awt.Color;
import java.awt.Graphics;
import polyliner.domain.interfaces.Point;
import polyliner.domain.interfaces.Polyline;
import polyliner.domain.utilities.draw.DrawPolyline;

/**
 *
 * @author dario
 */
public class DefaultDrawPolyline implements DrawPolyline {

    protected Polyline polyline;
    
    public DefaultDrawPolyline(Polyline poli) {
        this.polyline = poli;
    }
    
    public Polyline getPolyline() {
        return this.polyline;
    }
    
    public void paint(Graphics g) {
        if(this.polyline.isSelected()) {
            g.setColor(Color.RED);
            Point[] pts = this.polyline.getPoints();
            for(int i = 0;i<pts.length-1;++i) {
                g.drawLine((int) pts[i].getX(),(int) pts[i].getY(),(int) pts[i+1].getX(),(int) pts[i+1].getY());
            }
        } else {
            g.setColor(Color.GREEN);
            Point[] pts = this.polyline.getPoints();
            for(int i = 0;i<pts.length-1;++i) {
                g.drawLine((int) pts[i].getX(),(int) pts[i].getY(),(int) pts[i+1].getX(),(int) pts[i+1].getY());
            }
        }
    }

}
