/*
 * NotFilter.java
 *
 * Created on 17 dicembre 2007, 21.16
 *
 */

package polyliner.domain.filters.utils;

import polyliner.domain.interfaces.FilterCondition;
import polyliner.domain.interfaces.Point;

/**
 *
 * @author Dario Lucia
 */
public class NotFilter implements FilterCondition {
    
    private FilterCondition negateCondition;
    
    /** Creates a new instance of NotFilter */
    public NotFilter(FilterCondition f1) {
        this.negateCondition = f1;
    }

    public boolean isSatisfiedBy(Point p) {
        return !this.negateCondition.isSatisfiedBy(p);
    }
    
}
