/*
 * Grid.java
 *
 * Created on 16 dicembre 2007, 17.34
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package polyliner.domain.interfaces;

import polyliner.domain.exceptions.PointNotFoundException;

/**
 *
 * @author Dario
 */
public interface Grid {
 
    public Point addPoint(double x, double y);
    
    public Point removePoint(int id) throws PointNotFoundException;
    
    public void removeAll();
    
    public Point getPoint(int id) throws PointNotFoundException;
    public Point[] getPoints();
    public Point[] getPoints(FilterCondition c);
    
    public double getWidth();
    public double getHeight();
    
    public void addStateChangeListener(GridStateChangeListener listener);
    public void removeStateChangeListener(GridStateChangeListener listener);
    
}
