/*
 * Point.java
 *
 * Created on 16 dicembre 2007, 17.23
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package polyliner.domain.interfaces;

/**
 *
 * @author Dario Lucia
 */
public interface Point {
    
    public int getId();
    
    public double getX();
    public double getY();
    
    public void setX(double x);
    public void setY(double y);
    public void setCoords(double x,double y);
    
    public void move(double x, double y);
    public void moveX(double x);
    public void moveY(double y);
    
    public double getDistance(Point p);
    public double getDistance(double x, double y);
    public double getDistance(Point p1,Point p2);
    
    public void select();
    public void deselect();
    public boolean isSelected();
    
    public boolean same(Point p);
    
    public void addStateChangeListener(PointStateChangeListener listener);
    public void removeStateChangeListener(PointStateChangeListener listener);
    
}
